Subject: RE: mplsLdpEntityTable

From: "S.Manikantan" <[email-masked]>
Date: Tue, 9 Oct 2001 17:00:32 -0700

Hello Joan

Continuing with the example of Kishore's and the 
need to run two sessions with two LDP identifiers.
I have a doubt and hence the following question.

In a LSR if we need to support more than
one LDP identifier supporting global label space / platform wide label
space, - should the :LSRID component of the identifier needs
to be different?

Reason LDP identifier is <LSR Id> : <label space id>, and
in case of platform wide label spaces the label space id
should be zero - (RFC 30306 section 2.2.2)

regards
mani

-----Original Message-----
From:	Joan Cucchiara [SMTP:[email-masked]]
Sent:	Tuesday, October 09, 2001 4:33 PM
To:	Tiruveedhula, Kishore
Cc:	Srinivas T M; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject:	Re: mplsLdpEntityTable

"Tiruveedhula, Kishore" wrote:

Hi Kishore,

> 
> Hi Joan,
>     I have a question relating to mplsLdpEntityTable.
>  If all interfaces in an LSR using global label space (per platform label
> space),
>  but some interfaces implements DOD label distribution, conservative
> retention mode and
>  some interfaces implements DU, liberal retention mode. In this scenario all
> interfaces uses same label space and LSR ID.
> In this case, is mplsLdpEntityTable contains multiple entries with same LDP
> identifier (mplsLdpEntityLdpId) due to different distribution and retention
> modes?

The entity table represents configuration for potential sessions, so 
if some interfaces use Downstream on Demand and some are Downstream
Unsoliticied, then this means a minimum of 2 sessions (so 2
mplsLdpEntityLdpId 
indexes).  RFC3036 describes that a single session could not run both
in DOD and DU simultaneously.
 
There could be two label spaces where both
are considered per platform where some interfaces participate in
supporting
one label space, and some interfaces participate in supporting another
label space, which is how one could possibly configure some interfaces
for DownStream OnDemand 
and some interfaces for Downstream Unsolicited (but this would take a
minimum
of two label ranges and at least two entities (or sessions)).

  -Joan

> 
> Thanks,
> Kishore
> 
> -----Original Message-----
> From: Joan Cucchiara [mailto:[email-masked]]
> Sent: Tuesday, October 09, 2001 5:59 PM
> To: Srinivas T M
> Cc: [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> Subject: Re: mplsLdpEntityTable
> 
> Srinivas T M wrote:
> >
> > Hi,
> >    Can anybody clarify my below question.
> >
> > How Interface Index relates to entry in the
> > mplsLdpEntityTable in case of per-platform label space
> > , generic label type and in case of LDP Identifier is
> > same for all interfaces ?
> 
> The entity entry/row is the configuration for a potential
> session.  The Interface Index is in the label range tables
> and the mplsLdpEntityLdpId and mplsLdpEntityIndex are used
> to tie the entity entry with a label range entry.
> 
> In the case of the per-platform label space, this is also
> the situation.  I'm not sure if this answers the question
> you are asking though.
> 
> >
> >  Can we use single entry in the entity table for
> > multiple interfaces? If it is like that, then what
> > happens if we change label Distribution Method or
> > LabelRetentionMode  or any field in the entity table,
> > on interface? draft-ietf-mpls-ldp-mib-08.txt is not
> > telling how interface relates to entry in the entity
> > table.
> 
> The front section of the MIB and the description for
> mplsLdpEntityAdminStatus does describe that it
> expects the user to administratively disable the entity
> (and thus take down the session -- meaning the session
> is removed) and then change whatever
> fields and then administratively enable the entity
> to create new session.
> 
>   -Joan
> 
> >
> >   MplsLdpEntityEntry ::= SEQUENCE {
> >      mplsLdpEntityLdpId        MplsLdpIdentifier,
> >      mplsLdpEntityIndex        Unsigned32,
> >      mplsLdpEntityProtocolVersion  Integer32,
> >      mplsLdpEntityAdminStatus      INTEGER,
> >      mplsLdpEntityOperStatus       INTEGER,
> >      mplsLdpEntityTcpDscPort       Unsigned32,
> >      mplsLdpEntityUdpDscPort       Unsigned32,
> >      mplsLdpEntityMaxPduLength     Unsigned32,
> >      mplsLdpEntityKeepAliveHoldTimer  Integer32,
> >      mplsLdpEntityHelloHoldTimer      Integer32,
> >      mplsLdpEntityInitSesThreshold    Integer32,
> >      mplsLdpEntityLabelDistMethod     INTEGER,
> >      mplsLdpEntityLabelRetentionMode  INTEGER,
> >      mplsLdpEntityPVLMisTrapEnable    INTEGER,
> >      mplsLdpEntityPVL                 Integer32,
> >      mplsLdpEntityHopCountLimit       Integer32,
> >      mplsLdpEntityTargPeer            TruthValue,
> >      mplsLdpEntityTargPeerAddrType
> > adressFamilyNumbers,
> >      mplsLdpEntityTargPeerAddr      MplsLdpGenAddr,
> >      mplsLdpEntityOptionalParameters
> > MplsLdpLabelTypes,
> >      mplsLdpEntityDiscontinuityTime   TimeStamp,
> >      mplsLdpEntityStorType            StorageType,
> >      mplsLdpEntityRowStatus            RowStatus
> >      }
> >
> > Thanks in Advance,
> > Srini.
> >
> > __________________________________________________
> > Do You Yahoo!?
> > NEW from Yahoo! GeoCities - quick and easy web site hosting, just
> $8.95/month.
> > http://geocities.yahoo.com/ps/info1